petsc-3.4.2 2013-07-02

# DMDAVecRestoreArrayDOF

Restores a multiple dimension array obtained with DMDAVecGetArrayDOF()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecRestoreArrayDOF(DM da,Vec vec,void *array)

Not Collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DMCreateGlobalVector() or DMCreateLocalVector()
| array | - the array

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecGetArray(), DMDAVecGetArrayDOF(), DMDAVecRestoreArrayDOF()

Level:intermediate
Location:src/dm/impls/da/dagetarray.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex51.c.html
src/snes/examples/tutorials/ex54.c.html
src/snes/examples/tutorials/ex55.c.html
src/snes/examples/tutorials/ex60.c.html
src/snes/examples/tutorials/ex61.c.html
src/snes/examples/tutorials/ex63.c.html
src/snes/examples/tutorials/ex633d_db.c.html
src/snes/examples/tutorials/ex64.c.html
src/snes/examples/tutorials/ex65.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex23.c.html